
factions = ['alliance', 'horde']

"""
https://develop.battle.net/documentation/guides/regionality-and-apis
"""
regions = [
    {'code': 'us', 'locales': ['en_US', 'es_MX', 'pt_BR']},
    {'code': 'eu', 'locales': ['en_GB', 'es_ES', 'fr_FR', 'ru_RU', 'de_DE', 'pt_PT', 'it_IT']},
    {'code': 'kr', 'locales': ['ko_KR']},
    {'code': 'tw', 'locales': ['zh_TW']},
    #{'code': 'cn', 'locales': ['zh_CN']}
]

groups = [
    'Achievement',
    'Auction House',
    'Azerite Essence',
    'Connected Realm',
    'Covenant',
    'Creature',
    'Guild Crest',
    'Item',
    'Journal',
    'Media Search',
    'Modified Crafting',
    'Mount',
    'Mythic Keystone Affix',
    'Mythic Keystone Dungeon',
    'Mythic Keystone Leaderboard',
    'Mythic Raid Leaderboard',
    'Pet',
    'Playable Class',
    'Playable Race',
    'Playable Specialization',
    'Power Type',
    'Profession',
    'PvP Season',
    'PvP Tier',
    'Quest',
    'Realm',
    'Region',
    'Reputations',
    'Spell',
    'Talent',
    'Tech Talent',
    'Title',
    'WoW Token',
]

"""
https://develop.battle.net/documentation/world-of-warcraft/game-data-apis
"""
apis = [
    {'group': 'Achievement', 'path': '/data/wow/achievement-category/index', 'namespaces': ['static'], 'index': True},
    {'group': 'Achievement', 'path': '/data/wow/achievement/index', 'namespaces': ['static'], 'index': True},
    {'group': 'Connected Realm', 'path': '/data/wow/connected-realm/index', 'namespaces': ['dynamic', 'dynamic-classic'], 'index': True},
    {'group': 'Covenant', 'path': '/data/wow/covenant/index', 'namespaces': ['static'], 'index': True},
    {'group': 'Covenant', 'path': '/data/wow/covenant/soulbind/index', 'namespaces': ['static'], 'index': True},
    {'group': 'Covenant', 'path': '/data/wow/covenant/conduit/index', 'namespaces': ['static'], 'index': True},
    {'group': 'Creature', 'path': '/data/wow/creature-family/index', 'namespaces': ['static'], 'index': True},
    {'group': 'Creature', 'path': '/data/wow/creature-type/index', 'namespaces': ['static'], 'index': True},
    {'group': 'Guild Crest', 'path': '/data/wow/guild-crest/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/item-class/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/item-set/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/journal-expansion/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/journal-encounter/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/journal-instance/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/modified-crafting/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/modified-crafting/category/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/modified-crafting/reagent-slot-type/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/mount/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/keystone-affix/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/mythic-keystone/dungeon/index', 'namespaces': ['dynamic'], 'index': True},
    {'group': '', 'path': '/data/wow/mythic-keystone/index', 'namespaces': ['dynamic'], 'index': True},
    {'group': '', 'path': '/data/wow/mythic-keystone/period/index', 'namespaces': ['dynamic'], 'index': True},
    {'group': '', 'path': '/data/wow/pet/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/pet-ability/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/playable-class/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/playable-race/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/playable-specialization/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/power-type/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/profession/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/pvp-season/index', 'namespaces': ['dynamic'], 'index': True},
    {'group': '', 'path': '/data/wow/pvp-tier/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/quest/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/quest/category/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/quest/area/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/quest/type/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/realm/index', 'namespaces': ['dynamic'], 'index': True},
    {'group': '', 'path': '/data/wow/region/index', 'namespaces': ['dynamic'], 'index': True},
    {'group': '', 'path': '/data/wow/reputation-faction/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/reputation-tiers/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/talent/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/pvp-talent/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/tech-talent-tree/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/tech-talent/index', 'namespaces': ['static'], 'index': True},
    {'group': '', 'path': '/data/wow/title/index', 'namespaces': ['static'], 'index': True},
]
